Subject: RE: [ECOS] Multi-ICE support Status
From: "benny" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>, "Jonathan Larmour" <[email-masked]>
Date: Wed, 15 May 2002 12:35:56 -0500

I think I found the problem after straggling for a while -
the missing library is libmvcrt. After changing the make line to:

make -w MULTI_ICE_INCLUDES="-I/cygdrive/c/Multi-ICE/Headers" \

MULTI_ICE_LIBS="-L/lib/mingw -L/cygdrive/C/Multi-ICE/Libraries -L/tmp/migdb/
build/gdb/multi-ice -ltoolconf -lmsvcrt" 2>&1 | tee make.out

everything builds.

But after this I got :

$ multi-ice-gdb-server --remote-port 9000 --byte-sex l --config-dialog
Segmentation fault (core dumped)
I may provide the stack dump file.

P.S. - I'm not sure which one I need to use - there are different DLL
support libraries: libcrtdll, libmsvcrt, libmvcrt20 and libmvcrt40.
I tried libmsvcrt and libmsvcrt40 with the same result.

I use cygwin cygwin-1.3.2-1 libraries.
BennyD

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Jonathan Larmour
> Sent: Wednesday, May 15, 2002 11:59 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: [ECOS] Multi-ICE support Status
>
>
> benny wrote:
> >
> > Hi everybody,
> > I followed the nice instructions on
> > http://sources.redhat.com/ecos/multi-ice.html
> > and all was fine till the last stage when the linker complained on two
> > missed symbols in
> > ARM library toolconf:
> >
> > gcc  -g -O2  -o multi-ice-gdb-server.exe -Wl,--subsystem,console
> > server-main.o r
> > di150-low.o remote-utils.o utils.o server-win.o arm-singlestep.o
> > MICE-gdbserverr
> > es.o -L../../libiberty -liberty -lshell32 -ladvapi32 -lgdi32
> -luser32 -L/cyg
> > driv
> > e/C/Multi-ICE/libraries -L/tmp/migdb/build/gdb/multi-ice -ltoolconf
> >
> /cygdrive/C/Multi-ICE/libraries/toolconf.lib(toolconf.obj.b)(.text
> +0x25):..\
> > ..\t
> > oolconf.c: undefined reference to `_imp___isctype'
> >
> /cygdrive/C/Multi-ICE/libraries/toolconf.lib(toolconf.obj.b)(.text
> +0x2f):..\
> > ..\t
> > oolconf.c: undefined reference to `_imp___pctype'
> >
> > Any ideas what library is missing (looks like something from Visual C?)
>
> Actually it looks like something from Cygwin.
>
> Cygwin guys, can you help on this? What has changed that has caused
> libraries to stop being binary compatible?
>
> Jifl
> --
> Red Hat, Rustat House, Clifton Road, Cambridge, UK. Tel: +44 (1223) 271062
> --[ "You can complain because roses have thorns, or you ]--
> --[  can rejoice because thorns have roses." -Lincoln   ]--
> Opinions==mine

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/